<?php
/**
* @package Mambo Open Source
* @copyright (C) 2005 - 2006 Mambo Foundation Inc.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*
* Mambo was originally developed by Miro (www.miro.com.au) in 2000. Miro assigned the copyright in Mambo to The Mambo Foundation in 2005 to ensure
* that Mambo remained free Open Source software owned and managed by the community.
* Mambo is Free Software
*/ 

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

if (!defined( '_MOS_EDITOR_INCLUDED' )) {
	$_MAMBOTS->loadBotGroup( 'editors' );
	$_MAMBOTS->loadBotGroup( 'editors-xtd' );

	function initEditor() {
		global $_MAMBOTS;

		$results = $_MAMBOTS->trigger( 'onInitEditor' );
		foreach ($results as $result) {
		    if (trim($result)) {
		        echo $result;
			}
		}
	}
	function getEditorContents( $editorArea, $hiddenField ) {
		global $_MAMBOTS;

		$results = $_MAMBOTS->trigger( 'onGetEditorContents', array( $editorArea, $hiddenField ) );
		foreach ($results as $result) {
		    if (trim($result)) {
		        echo $result;
			}
		}
	}
	// just present a textarea
	function editorArea( $name, $content, $hiddenField, $width, $height, $col, $row ) {
		global $_MAMBOTS;

		$results = $_MAMBOTS->trigger( 'onEditorArea', array( $name, $content, $hiddenField, $width, $height, $col, $row ) );
		foreach ($results as $result) {
		    if (trim($result)) {
		        echo $result;
			}
		}
	}
	define( '_MOS_EDITOR_INCLUDED', 1 );
}
?>